package com.rjconsultores.ventaboletos.enums;

public enum TipoPessoa {
	
	FISICA(0,"Pessoa Física"),
	JURIDICA(1, "Pessoa Jurídica");
	
	private Integer valor;
	private String descricao;

	private TipoPessoa(Integer valor, String descricao) {
		this.valor = valor;
		this.descricao = descricao;
	}
	
	public Integer getValor() {
		return this.valor;
	}

	@Override
	public String toString() {
		return this.descricao;
	}
	
	public static TipoPessoa getTipoPessoa(Integer tipoPessoa) {
		if(FISICA.getValor().equals(tipoPessoa)) {
			return FISICA;
		} else if(JURIDICA.getValor().equals(tipoPessoa)) {
			return JURIDICA;
		}
		return null;
	}
	
}
